<bugID>1148413<Summary>[e10s] browser_markupview_tag_edit_04.js causes unsafe CPOW usage warnings</Summary><Description>Mined from test logs

In browser/devtools/markupview/test/browser_markupview_tag_edit_04.js:

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_tag_edit_04.js#l28
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_tag_edit_04.js#l31

function* checkDeleteAndSelection(inspector, key, nodeSelector, focusedNodeSelector) {
  yield selectNode(nodeSelector, inspector);
  yield clickContainer(nodeSelector, inspector);

  info(`Deleting the element "${nodeSelector}" using the ${key} key`);
  let mutated = inspector.once("markupmutation");
  EventUtils.sendKey(key, inspector.panelWin);

  yield Promise.all([mutated, inspector.once("inspector-updated")]);

  let nodeFront = yield getNodeFront(focusedNodeSelector, inspector);
  is(inspector.selection.nodeFront, nodeFront,
    focusedNodeSelector + " should be selected after " + nodeSelector + " node gets deleted.");

  info("Checking that it's gone, baby gone!");
  ok(!content.document.querySelector(nodeSelector), "The test node does not exist"); &lt;-- causes unsafe CPOW usage warning

  yield undoChange(inspector);
  ok(content.document.querySelector(nodeSelector), "The test node is back!"); &lt;-- causes unsafe CPOW usage warning
}

...

https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_tag_edit_04.js#l49
https://hg.mozilla.org/projects/holly/file/50e197279ad5/browser/devtools/markupview/test/browser_markupview_tag_edit_04.js#l50

add_task(function*() {
  let {inspector} = yield addTab(TEST_URL).then(openInspector);

  info("Selecting the test node by clicking on it to make sure it receives focus");

  yield checkDeleteAndSelection(inspector, "delete", "#first", "#second");
  yield checkDeleteAndSelection(inspector, "delete", "#second", "#third");
  yield checkDeleteAndSelection(inspector, "delete", "#third", "#second");

  yield checkDeleteAndSelection(inspector, "back_space", "#first", "#second");
  yield checkDeleteAndSelection(inspector, "back_space", "#second", "#first");
  yield checkDeleteAndSelection(inspector, "back_space", "#third", "#second");

  // Removing the siblings of #first.
  let mutated = inspector.once("markupmutation");
  for (let node of content.document.querySelectorAll("#second, #third")) { &lt;-- causes unsafe CPOW usage warning
    node.remove(); &lt;-- causes unsafe CPOW usage warning
  }
  yield mutated;
  // Testing with an only child.
  info("testing with an only child");
  yield checkDeleteAndSelection(inspector, "delete", "#first", "#parent");
  yield checkDeleteAndSelection(inspector, "back_space", "#first", "#parent");

  yield inspector.once("inspector-updated");
});</Description></bugID>